Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Update product

Update a product (POST body is partial). Requires a Write key.

POST/products/{productId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
productIdstringrequired
Request body
requiredapplication/json
namestring
min length 1
pricenumber

Price in cents

taxCategorystring
Allowed:8.12.63.80
supplierstring
categorystring
declarationsstring
barcodestring

Normalized to lowercase.

barcodeAliasesobject[]

Optional additional EANs. Empty array removes the field. Available when the barcode aliases feature is enabled for the organization. Returns 403 Feature not available when barcode aliases are not enabled for the organization.

Show properties
Array of object
codestringrequired
quantitynumber
priceinteger

Optional pack price in cents

labelstring
externalIdstring

Optional external article ID

externalIdstring
depositProductnumber

Deposit in cents

depositProductLabelstring
descriptionstring
salePricenumber | null

Sale price in cents. Null or empty string removes the field.

salePercentagenumber | null

Sale discount percentage. Null or empty string removes the field.

salePriceDateFromstring<date-time> | null

Sale start. Null or empty string removes the field.

salePriceDateTostring<date-time> | null

Sale end. Null or empty string removes the field.

costPricenumber
marginnumber
showOnScreenboolean
ageRestrictionboolean
showOnScaleboolean
saleStopboolean
deactivatedboolean
imageUrlstring

Image URL. Replacing it, or clearing it with an empty string, deletes the previous image file when it is stored by this organization.

indexnumber
deletedboolean

true soft-deletes the product, false restores it.

Responses
200

Updated

successbooleanrequired
400

Invalid parameters or body.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://dashboard.scango.ch/api/v1/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "price": 129,
  "saleStop": false
}'
Response
{
  "success": true
}

Was this page helpful?